/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.UUID;

/**
 * InstantiateNsRequestVnf
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class InstantiateNsRequestVnf {
  @SerializedName("member-vnf-index")
  private String memberVnfIndex = null;

  @SerializedName("vimAccountId")
  private UUID vimAccountId = null;

  @SerializedName("vdu")
  private List<InstantiateNsRequestVdu> vdu = null;

  @SerializedName("internal-vld")
  private List<InstantiateNsRequestInternalvld> internalVld = null;

  public InstantiateNsRequestVnf memberVnfIndex(String memberVnfIndex) {
    this.memberVnfIndex = memberVnfIndex;
    return this;
  }

   /**
   * Get memberVnfIndex
   * @return memberVnfIndex
  **/
  @Schema(required = true, description = "")
  public String getMemberVnfIndex() {
    return memberVnfIndex;
  }

  public void setMemberVnfIndex(String memberVnfIndex) {
    this.memberVnfIndex = memberVnfIndex;
  }

  public InstantiateNsRequestVnf vimAccountId(UUID vimAccountId) {
    this.vimAccountId = vimAccountId;
    return this;
  }

   /**
   * Get vimAccountId
   * @return vimAccountId
  **/
  @Schema(description = "")
  public UUID getVimAccountId() {
    return vimAccountId;
  }

  public void setVimAccountId(UUID vimAccountId) {
    this.vimAccountId = vimAccountId;
  }

  public InstantiateNsRequestVnf vdu(List<InstantiateNsRequestVdu> vdu) {
    this.vdu = vdu;
    return this;
  }

  public InstantiateNsRequestVnf addVduItem(InstantiateNsRequestVdu vduItem) {
    if (this.vdu == null) {
      this.vdu = new ArrayList<InstantiateNsRequestVdu>();
    }
    this.vdu.add(vduItem);
    return this;
  }

   /**
   * Get vdu
   * @return vdu
  **/
  @Schema(description = "")
  public List<InstantiateNsRequestVdu> getVdu() {
    return vdu;
  }

  public void setVdu(List<InstantiateNsRequestVdu> vdu) {
    this.vdu = vdu;
  }

  public InstantiateNsRequestVnf internalVld(List<InstantiateNsRequestInternalvld> internalVld) {
    this.internalVld = internalVld;
    return this;
  }

  public InstantiateNsRequestVnf addInternalVldItem(InstantiateNsRequestInternalvld internalVldItem) {
    if (this.internalVld == null) {
      this.internalVld = new ArrayList<InstantiateNsRequestInternalvld>();
    }
    this.internalVld.add(internalVldItem);
    return this;
  }

   /**
   * Get internalVld
   * @return internalVld
  **/
  @Schema(description = "")
  public List<InstantiateNsRequestInternalvld> getInternalVld() {
    return internalVld;
  }

  public void setInternalVld(List<InstantiateNsRequestInternalvld> internalVld) {
    this.internalVld = internalVld;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InstantiateNsRequestVnf instantiateNsRequestVnf = (InstantiateNsRequestVnf) o;
    return Objects.equals(this.memberVnfIndex, instantiateNsRequestVnf.memberVnfIndex) &&
        Objects.equals(this.vimAccountId, instantiateNsRequestVnf.vimAccountId) &&
        Objects.equals(this.vdu, instantiateNsRequestVnf.vdu) &&
        Objects.equals(this.internalVld, instantiateNsRequestVnf.internalVld);
  }

  @Override
  public int hashCode() {
    return Objects.hash(memberVnfIndex, vimAccountId, vdu, internalVld);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InstantiateNsRequestVnf {\n");

    sb.append("    memberVnfIndex: ").append(toIndentedString(memberVnfIndex)).append("\n");
    sb.append("    vimAccountId: ").append(toIndentedString(vimAccountId)).append("\n");
    sb.append("    vdu: ").append(toIndentedString(vdu)).append("\n");
    sb.append("    internalVld: ").append(toIndentedString(internalVld)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
